Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.picocontainer.adapters
Class TypedBindingAnnotationTestCase.FruitBasket

    java.lang.Object
      org.picocontainer.adapters.TypedBindingAnnotationTestCase.FruitBasket

Direct Known Subclasses:
  TypedBindingAnnotationTestCase.FruitBasketViaConstructor

Enclosing class:
  TypedBindingAnnotationTestCase

    public static class TypedBindingAnnotationTestCase.FruitBasket

extends Object

Constructor Summary
`TypedBindingAnnotationTestCase.FruitBasket()`

Method Summary
`void` | `foo(TypedBindingAnnotationTestCase.Apple bramley, TypedBindingAnnotationTestCase.Apple cox, TypedBindingAnnotationTestCase.Apple granny, TypedBindingAnnotationTestCase.Apple braeburn)`
`void` | `setFour(TypedBindingAnnotationTestCase.Apple braeburn)`
`void` | `setOne(TypedBindingAnnotationTestCase.Apple bramley)`
`void` | `setThree(TypedBindingAnnotationTestCase.Apple granny)`
`void` | `setTwo(TypedBindingAnnotationTestCase.Apple cox)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TypedBindingAnnotationTestCase.FruitBasket

    public TypedBindingAnnotationTestCase.FruitBasket()

Method Detail

### foo

    public void foo(TypedBindingAnnotationTestCase.Apple bramley,
                    TypedBindingAnnotationTestCase.Apple cox,
                    TypedBindingAnnotationTestCase.Apple granny,
                    TypedBindingAnnotationTestCase.Apple braeburn)

### setOne

    public void setOne(TypedBindingAnnotationTestCase.Apple bramley)

### setTwo

    public void setTwo(TypedBindingAnnotationTestCase.Apple cox)

### setThree

    public void setThree(TypedBindingAnnotationTestCase.Apple granny)

### setFour

    public void setFour(TypedBindingAnnotationTestCase.Apple braeburn)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 Codehaus. All Rights Reserved.